import datetime
from typing import ClassVar
from ..base_nodes import WorkerBaseNode

class SchoolAdminNode(WorkerBaseNode):
    __primarylabel__: ClassVar[str] = 'SchoolAdmin'

class TeacherNode(WorkerBaseNode):
    __primarylabel__: ClassVar[str] = 'Teacher'

class StudentNode(WorkerBaseNode):
    __primarylabel__: ClassVar[str] = 'Student'

class DeveloperNode(WorkerBaseNode):
    __primarylabel__: ClassVar[str] = 'Developer'
    developer_role: str  # To distinguish between admin/developer roles

class SuperAdminNode(WorkerBaseNode):
    __primarylabel__: ClassVar[str] = 'SuperAdmin'
